[main]
# Debug output on errors
##############################################################
# debug = true

# Logs minimal level (possible values are DEBUG, INFO, WARNING, ERROR)
##############################################################
# log_level = WARNING

# Timezone in TZ format (Region/Zone)
##############################################################
# timezone = UTC

# Directory to store projects data
##############################################################
# projects_dir = {HOME}/projects

# Directory to store hooks scripts (only for 'SCRIPT' type hooks)
##############################################################
# hooks_dir = /tmp/

[database]
# Database settings.
# Read more: https://docs.djangoproject.com/en/1.10/ref/settings/#databases
##############################################################
# engine = django.db.backends.sqlite3
# name = {HOME}/db.sqlite3

[database.options]
# Database options settings
##############################################################
# timeout = 10

[cache]
# Cache settings.
# Read more: https://docs.djangoproject.com/en/1.10/ref/settings/#caches
##############################################################
# backend = django.core.cache.backends.filebased.FileBasedCache
# location = {TMP}/polemarch_django_cache{PY}

[locks]
# Threads-locks settings.
# Read more: https://docs.djangoproject.com/en/1.10/ref/settings/#caches
# !!! USE ONLY BACKENDS WITH THREADS SUPPORT !!!
# !!! STRONGLY RECOMMENDED TO USE MEMCACHED OR REDIS BACKENDS !!!
##############################################################
# backend = django.core.cache.backends.filebased.FileBasedCache
# location = {TMP}/polemarch_django_cache_locks{PY}

[rpc]
# Celery broker settings
# Read more: http://docs.celeryproject.org/en/latest/userguide/configuration.html#conf-broker-settings
##############################################################
# connection = filesystem:///tmp
# result_backend = file:///tmp
# Interval between sending heartbeat packages, which says that connection still
# alive. Make sure that it is not less than in your MQ server settings.
# Otherwise connection will be lost and worker will not accept jobs or
# web-server will not send jobs.
# heartbeat = 5
# results_expiry_days = 1
# Concurrency is number of parallel worker processes. Should at be at least 2.
# concurrency = 4

# Worker settings
# How much times try to clone or sync repo
# clone_retry_count = 5

[mail]
# SMTP settings.
# Read more: https://docs.djangoproject.com/en/1.10/ref/settings/#email-host
# This sets without EMAIL_* prefix
# host = smtp.mail.ru
# port = 2525
# user = user
# password = password
# tls = false

[web]
# Django web settings
##############################################################

# Allowed hostnames for answer. Default - all.
##############################################################
# allowed_hosts = *

# Url for static files.
# Attention: If you changing it, don't forget to change `static-map` in [uwsgi]
# section.
##############################################################
# static_files_url = /static/

# How many results return by API.
##############################################################
# rest_page_limit = 1000

[uwsgi]
# Polemarch web-server settings
# Read more: https://uwsgi-docs.readthedocs.io/en/latest/
##############################################################

# Spawn the specified number of workers/processes
##############################################################
# processes = 4

# Run each worker in prethreaded mode with the specified number of threads
##############################################################
# threads = 2

# Folder where Polemarch should look for its static files (js, css and so on).
# Attention: change only filesystem path (after last '=' sign). Example:
# static-map = /static=/my/filesystem/path
# Attention: If you changing it, don't forget to change `static_files_url` in
# [web] section.
##############################################################
# static-map = /static=/opt/polemarch/lib/python2.7/site-packages/polemarch/static

# Where Polemarch web-server should place his PID-file
##############################################################
# pidfile = /var/run/polemarch/web.pid

# Should web-server run as daemon or as regular application
##############################################################
# daemon = true

# Path to log of web-server (applicable if daemon=true)
##############################################################
# log_file = /var/log/polemarch/web.log